SoLocation2Event(3IV)

NAME
SoLocation2Event — 2D location events

INHERITS FROM
SoEvent > SoLocation2Event

SYNOPSIS
#include <Inventor/events/SoLocation2Event.h>

Methods from class SoLocation2Event:

SoLocation2Event()
static SoType
getClassTypeId()

Methods from class SoEvent:

virtual SoType
getTypeId() const
SbBool
isOfType(SoType type) const
void
setTime(SbTime t)
SbTime
getTime() const
void
setPosition(const SbVec2s &p)
const SbVec2s &
getPosition() const
const SbVec2s &
getPosition(const SbViewportRegion &vpRgn) const
const SbVec2f &
getNormalizedPosition(const SbViewportRegion &vpRgn) const
void
setShiftDown(SbBool isDown)
void
setCtrlDown(SbBool isDown)
void
setAltDown(SbBool isDown)
SbBool
wasShiftDown() const
SbBool
wasCtrlDown() const
SbBool
wasAltDown() const

DESCRIPTION
SoLocation2Event represents 2D location events in the Inventor event model.

METHODS

SoLocation2Event()
Constructor.

static SoType
getClassTypeId()
Return the type id for the SoLocation2Event class.

SEE ALSO
SoEvent, SoButtonEvent, SoKeyboardEvent, SoMotion3Event, SoMouseButtonEvent, SoSpaceballButtonEvent, SoHandleEventAction, SoEventCallback, SoSelection, SoInteraction, SoXtDevice